Subject: Re: bug#44824: 27.1; Org export as pdf and open file does not open it

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jan 2021 15:49:02 +0200

> From: Maxim Nikulin <[email-masked]>
> Date: Sat, 30 Jan 2021 20:31:53 +0700
> Cc: [email-masked]
> 
> > How about asking the xdg-open developers to help us figure out the
> > reason?  Or, failing that, debug xdg-open in the problematic
> > situations to find out what fails there and why?  E.g., could it be
> > that it fails because stdin/stdout is a PTY? what happens if you bind
> > process-connection-type to nil when starting the async subprocess?
> 
> I do not think, it is xdg-open problem. It just calls kde-open5 that 
> spawns actual handler and immediately exits.

I didn't say it was their problem, I suggested to ask them to help us
understand why xdg-open doesn't work in those cases, under the
assumption that they are familiar with their code better than us.